QGIS Application - Bug report #12807
ParameterTableField : can't see all the fields which contains an integer
2015-05-22 02:30 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20903
Description

In my own GeoAlgorithm, | have a ParameterTableField with datatype=0 (DATA_TYPE_NUMBER).
However, | can't see all the fields which contains an integer, only 1 of 3.

If I check in the layer properties about my fields, Processing is not able to see my fields which are :
Type : glonglong
Identified type : INTEGER

Processing works well with one field which is :
Type : double
Identified type : DOUBLE

| got this field from shapefile with some double imported into a spatialite database. Then if you load the layer from this database, you will
get a "glonglong" which can not be seen by Processing.

Associated revisions

Revision ae7f180c - 2015-06-26 12:43 PM - Victor Olaya

[processing] fixed attribute filtering in parameters panel for ParameterTableFleld param

fixes #12807

History

#1 - 2015-06-26 03:43 AM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"ae7f180c096bb3d5dc21c8e4b2529d979536b32¢e".
